Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface CopySourceSpec

    public interface CopySourceSpec

Specifies sources for a file copy.

Method Summary
`CopySourceSpec` | `from(Object... sourcePaths)` Specifies source files or directories for a copy.
`CopySourceSpec` | `from(Object sourcePath, Closure configureClosure)` Specifies the source files or directories for a copy and creates a child `CopySourceSpec`.

Method Detail

### from

    public CopySourceSpec from(Object... sourcePaths)

  Specifies source files or directories for a copy. The given paths are evaluated as per Project.files.
  Parameters:
    `sourcePaths` - Paths to source files for the copy

### from

    public CopySourceSpec from(Object sourcePath, Closure configureClosure)

  Specifies the source files or directories for a copy and creates a child `CopySourceSpec`. The given source path is evaluated as per Project.files .
  Parameters:
    `sourcePath` - Path to source for the copy
    `configureClosure` - closure for configuring the child CopySourceSpec

Gradle API 1.10